area data parameter missing in portal/description/distributioninfoFor response
05/17/2017 05:18 PM - Andreas Kohlbecker
Target version:
Description

This problem seems to be specific to the Fauna Europaea data.

http://test.e-taxonomy.eu/cdmserver/fauna_europaea/portal/description/distributionIinfoFor/3610bdd7-7432-4d43-9f6e-6684deb82987
.json?part=mapUriParams

in the response the ad parameter is missing:

"condensedDistribution": null,

"elements": [ ],

"tree": null,

"class": "DistributionInfoDTO",

"mapUriParams": "as=a:ffffff,,0.1, |b:4dafda,, 0.1, &ad=¢title=b:present|a:absent"

Associated revisions

Revision €22485ff - 06/16/2017 10:24 AM - Andreas Kohlbecker

ref #6645 logging missing wms alyer mappings

Revision 99634595 - 06/16/2017 10:44 AM - Andreas Kohlbecker

ref #6645 logging missing wms layer mappings

History

#1 - 05/31/2017 11:10 AM - Saskia Gennrich

Gibt es hier schon neue Informationen?

Das sind glaub ich die zugehérigen Log-Nachrichten vom cdm-Server

cdm_1 | [faunaeu] 2017-05-31 09:08:23,066 INFO [eu.etaxonomy.cdm.remote.controller.BaseListController]
— doGetDistributionInfo() - GET: /faunaeu/portal/description/distributionInfoFor/2f0b2aad-8cad-4373-8e68-557fe
c0076f0?recipe=EuroPlusMedé&statusOrderPreference=1&hiddenAreaMarkerType=&part=mapUriParams&part=tree

cdm_1 | [faunaeu] 2017-05-31 09:08:23,076 WARN [eu.etaxonomy.cdm.api.service.DistributionTree] - area.p

artOf is NULL for Yugoslavia, area is of type: class eu.etaxonomy.cdm.model.location.NamedArea_S$$_jvstd95_27 t
arget object is class eu.etaxonomy.cdm.model.location.NamedArea

cdm_1 | [faunaeu] 2017-05-31 09:08:23,076 WARN [eu.etaxonomy.cdm.api.service.DistributionTree] - area.p
artOf is NULL for Andorra, area is of type: class eu.etaxonomy.cdm.model.location.NamedArea_S$$_jvstd95_27 targ
et object is class eu.etaxonomy.cdm.model.location.NamedArea

cdm_1 | [faunaeu] 2017-05-31 09:08:23,076 WARN [eu.etaxonomy.cdm.api.service.DistributionTree] - area.p
artOf is NULL for Sardinia, area is of type: class eu.etaxonomy.cdm.model.location.NamedArea_S$S$_7Jvstd95_27 tar
get object is class eu.etaxonomy.cdm.model.location.NamedArea

#3 - 06/16/2017 11:05 AM - Andreas Kohlbecker
- Category changed from cdmlib to data
- Assignee changed from Andreas Kohlbecker to Saskia Gennrich

- Target version deleted (Release 4.8)

Hi Saskia,
this is only a problem of missing data. After a fresh import the mapping between the named areas and the map layer must established.
This is usually done by sending a special web service call to the server.

You will find the according URLs in the ticket #5653 (Establish mapping of fauna europeae area terms to the map layer)
This ticket also includes the required csv file and a hint on finding the required vocabulary uuid.

All the best
Andreas

#4 - 06/16/2017 03:43 PM - Saskia Gennrich

- Status changed from New to Closed
